Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.util.testing
Class XMLObjectStreamUnit

    java.lang.Object
      rice.p2p.util.testing.XMLObjectStreamUnit

    public class XMLObjectStreamUnit

extends java.lang.Object

Nested Class Summary
`static class` | `XMLObjectStreamUnit.TestByteSerialization`
`static class` | `XMLObjectStreamUnit.TestExternalizable`
`static class` | `XMLObjectStreamUnit.TestPutFields`
`static class` | `XMLObjectStreamUnit.TestReplace`
`static class` | `XMLObjectStreamUnit.TestReplace2`
`static class` | `XMLObjectStreamUnit.TestReplace3`
`static class` | `XMLObjectStreamUnit.TestResolve`
`static class` | `XMLObjectStreamUnit.TestResolve2`
`static class` | `XMLObjectStreamUnit.TestResolve3`
`static class` | `XMLObjectStreamUnit.TestSerialPersistentFields`
`static class` | `XMLObjectStreamUnit.TestSubExternalizable`
`static class` | `XMLObjectStreamUnit.TestUnreadData`

Field Summary
`protected java.io.ByteArrayInputStream` | `bais`
`protected java.io.ByteArrayOutputStream` | `baos`
`protected XMLObjectInputStream` | `xois`
`protected XMLObjectOutputStream` | `xoos`

Constructor Summary
`XMLObjectStreamUnit()`

Method Summary
`protected boolean` | `compare(java.lang.Object o1, java.lang.Object o2)`
`protected void` | `flip()`
`static void` | `main(java.lang.String[] args)`
`protected void` | `reset()`
`void` | `start()`
`protected void` | `test(java.lang.Object o)`
`protected void` | `testBoolean(boolean b)`
`protected void` | `testBrokenCustomSerializer()`
`protected void` | `testByte(byte i)`
`protected void` | `testByteCustomSerializer()`
`protected void` | `testChar(char i)`
`protected void` | `testCustomSerializer()`
`protected void` | `testDouble(double i)`
`protected void` | `testExternal()`
`protected void` | `testFloat(float i)`
`protected void` | `testHashtable()`
`protected void` | `testInheritedReadResolve()`
`protected void` | `testInheritedWriteReplace()`
`protected void` | `testInt(int i)`
`protected void` | `testLong(long i)`
`protected void` | `testMultipleObjects()`
`protected void` | `testMultiplePrimitives()`
`protected void` | `testPutFields()`
`protected void` | `testReadResolve()`
`protected void` | `testSerialPersistentFields()`
`protected void` | `testShort(short i)`
`protected void` | `testSubExternal()`
`protected void` | `testUnreadData()`
`protected void` | `testUnserializableObject()`
`protected void` | `testUnshared()`
`protected void` | `testWriteReplace()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xoos

    protected XMLObjectOutputStream xoos

### xois

    protected XMLObjectInputStream xois

### baos

    protected java.io.ByteArrayOutputStream baos

### bais

    protected java.io.ByteArrayInputStream bais

Constructor Detail

### XMLObjectStreamUnit

    public XMLObjectStreamUnit()
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### reset

    protected void reset()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### flip

    protected void flip()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### testInt

    protected void testInt(int i)

### testBoolean

    protected void testBoolean(boolean b)

### testByte

    protected void testByte(byte i)

### testChar

    protected void testChar(char i)

### testDouble

    protected void testDouble(double i)

### testFloat

    protected void testFloat(float i)

### testLong

    protected void testLong(long i)

### testShort

    protected void testShort(short i)

### testMultiplePrimitives

    protected void testMultiplePrimitives()

### compare

    protected boolean compare(java.lang.Object o1,
                              java.lang.Object o2)

### test

    protected void test(java.lang.Object o)

### testHashtable

    protected void testHashtable()

### testMultipleObjects

    protected void testMultipleObjects()

### testUnserializableObject

    protected void testUnserializableObject()

### testByteCustomSerializer

    protected void testByteCustomSerializer()

### testCustomSerializer

    protected void testCustomSerializer()

### testBrokenCustomSerializer

    protected void testBrokenCustomSerializer()

### testUnshared

    protected void testUnshared()

### testExternal

    protected void testExternal()

### testSubExternal

    protected void testSubExternal()

### testPutFields

    protected void testPutFields()

### testUnreadData

    protected void testUnreadData()

### testWriteReplace

    protected void testWriteReplace()

### testReadResolve

    protected void testReadResolve()

### testInheritedWriteReplace

    protected void testInheritedWriteReplace()

### testInheritedReadResolve

    protected void testInheritedReadResolve()

### testSerialPersistentFields

    protected void testSerialPersistentFields()

### start

    public void start()

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.